# 龙架构悬赏任务

龙架构悬赏任务(LoongTask), 是龙芯爱好者社区发布的悬赏任务, 所有开发者均可以个人身份或团队参与(团队参与只需团队负责人接取悬赏即可, 完成悬赏后奖励由团队内部自行分配)。

> 相比于现有龙芯社区[英雄帖](https://github.com/loongson-community/discussions/issues)已开源上游化项目为主, 在此的悬赏任务会包含一些奖励比较丰富的商业移植开发项目

所有悬赏任务均会发布在本Git页面下的[工单(issues)](https://gitea.whlug.cn/LoongFly/LoongCall/issues)中。

## 分类

* 商业悬赏
    * 说明: 用于一些商业性质项目的悬赏需求
    * 奖励: 实物或现金奖励为主, 一般商业悬赏的奖励会比较丰富, 但可能对社区的贡献有限
    > 示例: 
    > * 将某商业用途的国产教学平台移植到龙架构上
    > * 在指定主机上适配驱动/发行版
    > * 为龙架构适配商业发行版

* 社区任务
    * 说明: 由开发者社区或社区伙伴发布的任务非商业需求, 不涉及盈利项目
    * 奖励: 社区积分, 头衔, 龙架构漂流板卡奖励, 虚拟机使用权限
    > 示例: 
    > * 将某开源依赖移植到龙架构平台或推入上游
    > * 为龙架构适配某开源发行版


## 任务接取与锁定

为了避免出现重复劳动的情况, 奖励会被第一个接取人锁定, 但需要按照要求进行进展同步
> 超过同步时限会导致奖励锁定被取消

下述接取说明请添加到每个悬赏工单中
```
## 接取

在本工单下方回复`任务接取`, 如果是多人合作项目可以分别 @ 相关成员 @xunmi

> 例子:
> 任务接取 @xunmi @daiduo 
```

## 发布任务

发布方式: 通过 [社区邮箱](mailto:loongarch@whlug.cn) 或社区管理员 @xunmi @daiduo 发布悬赏内容

悬赏任务需要最少提供如下信息:`任务需求`、`任务奖励`、`验收标准` 
